/*
Theme Name: Reti Su Misura Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0.1
*/

:root {
  --primary-color: #365999;
  --secondary-color: #fcdf1a;
  --green: #4da715;
  --red: #b20000;
}

.padding-bottom-0 {
  padding-bottom: 0;
}

mark {
  background-color: var(--secondary-color);
}

.grecaptcha-badge {
  visibility: hidden;
}

.button.secondary span {
  color: #1c1c1c;
}

.white-arrow-scroll .scroll-for-more {
  color: #ffffff;
}

.cursor-pointer {
  cursor: pointer;
}


/** List **/
ul li.bullet-checkmark,
ul li.bullet-arrow,
ul li.bullet-star {
  border-bottom: none;
}

ul li.bullet-checkmark:before,
ul li.bullet-arrow:before,
ul li.bullet-star:before {
  color: var(--green);
}

/** END List **/


/** Notice **/
.message-container.success-color {
  border-left: 5px solid var(--green);
  padding: 10px 15px;
  background: rgb(241, 255, 241);
}


.woocommerce-error.message-wrapper,
.wc-stripe-error {
  border-left: 5px solid var(--red);
  padding: 10px 15px;
  background: #fbf2f2 !important;
  font-size: 0.9em;
  width: auto;
  max-width: 1170px;
  margin-left: auto !important;
  margin-right: auto !important;
}

.wc-stripe-error {
  color: var(--red) !important;
}

.woocommerce-error.message-wrapper li:last-child {
  margin-bottom: 0;
}

/** END Notice **/


/** Header **/
.header-nav-main {
  justify-content: center;
}

/** Header Search **/
.header-search-form-wrapper .submit-button {
  border: none;
  background-color: var(--primary-color) !important;
}

/** END Header Search **/
/** END Header **/


/** Shop Header **/
.shop-page-title .title-overlay {
  background-color: rgba(54, 89, 153, 0.7);
}

/** END Shop Header **/


/** Archive Page **/
.archive-product-code {
  font-size: .9em;
  text-transform: lowercase;
  color: var(--primary-color);
}

.box-text-products .button {
  font-size: .8em;
}

.box-text-products .box-excerpt {
  margin-top: 1em;
  font-size: .9em;
  line-height: normal;
}

/** Archive product price **/
.product .box-text-products .prodotti-categorie-price-wrapper {
  font-size: 1.1em;
}

.product .box-text-products .prodotti-categorie-price-wrapper .price {
  font-weight: bold;
  color: #151515;
}

.product .box-text-products .prodotti-categorie-price-wrapper .price small {
  font-weight: normal;
}

/** END Archive product price **/

/*.box-text-products .button {
  line-height: 1.6;
}*/
/** END Archive Page **/


/** Single Product Page **/
/** SKU **/
#sku-single-product {
  margin-bottom: 0;
}

#sku-single-product .sku_wrapper {
  border-top: none;
}

/** END SKU **/

/** UNI CPO **/
#uni_cpo_options:not(.remove-style) {
  border: 2px solid var(--primary-color);
  border-radius: 3px;
  padding: 30px 40px;
  background: rgb(252 223 26 / 2%);
}

#uni_cpo_options:not(.remove-style) .uni-module-text:first-child {
  color: var(--primary-color);
  font-weight: 600;
  font-size: 1.25em;
  font-family: "Sora", sans-serif;
  margin-bottom: 0.5em;
}

.uni-cpo-cart-action.uni-cpo-action-edit-inline:before {
  color: var(--primary-color);
}

.cpo-cart-item-save {
  color: var(--primary-color);
  border-bottom: 2px solid;
  line-height: normal;
  min-height: 2em;
  padding: 0 10px;
}

.uni-module .uni_cpo_field_required:after {
  display: none;
}

.uni-cpo-calculate-btn,
.uni-cpo-calculate-btn:hover,
.uni-cpo-calculate-btn:active {
  color: #365999;
}

/** END UNI CPO **/

.single-product .product-type-simple:not(.cpo-enabled-product) .summary .price-wrapper {
  margin-bottom: 1.5em;
}

.single-product .product-type-variable .summary .price-wrapper {
  margin-bottom: 1em;
}

#wrapper-banner-tempo-realizzazione .banner-tempo-realizzazione {
  width: 200px;
}

.product-summary .woocommerce-Price-currencySymbol {
  vertical-align: baseline;
}

/** END Single Product Page **/


/** Cart **/
.woocommerce-mini-cart__buttons .checkout {
  display: none;
}

.button-continue-shopping {
  font-size: .8em;
}

.variation {
  text-transform: inherit;
}

.cart-product-sku {
  font-size: .8em;
  text-transform: lowercase;
  display: inline-block;
}

/** Banner spesa gestione **/
.box-spesa-gestione {
  border-left: 5px solid var(--secondary-color);
  padding: 10px 15px;
  background: #fbf8e0;
  font-size: .9em;
  margin-bottom: 20px;
}

.box-spesa-gestione p {
  line-height: normal;
  margin: 0px;
}

/** END Banner spesa gestione **/

.woocommerce-mini-cart-item .uni-cpo-cart-action {
  display: none;
}

body .remove_from_cart_button,
.product-remove .remove {
  border: none;
  color: var(--red);
  font-size: 1.5em !important;
  font-weight: normal;
}

/** END Cart **/


/** Checkout **/
.woocommerce-input-wrapper .error {
  margin-bottom: .3em;
}

label .required:not(:first-child) {
  display: none !important;
}

/** Shipping @ Checkout **/
.delivery-by-appointment-desc {
  font-weight: normal;
  display: flex;
  margin-top: 10px;
  text-align: left;
  font-size: 0.8em;
}

.delivery-by-appointment-desc img {
  width: auto;
  margin-right: 10px;
  height: 30px;
}

.delivery-by-appointment-desc p {
  margin-top: 0;
}

#shipping_method label {
  font-size: 1em;
}

/** END Shipping @ Checkout **/

#billing_address_2_field>label,
#shipping_address_2_field>label {
  display: block;
  opacity: 1;
  overflow: auto;
  width: auto;
}

#order_comments {
  min-height: 90px;
}

#place_order {
  background-color: var(--green) !important;
}

.woocommerce-customer-details--phone,
.woocommerce-customer-details--email {
  margin-bottom: 0;
}

p.woocommerce-thankyou-order-received {
  font-size: 1.4em;
}

/** Order received checkmark animation **/
.my-checkmark__circle {
  stroke-dasharray: 166;
  stroke-dashoffset: 166;
  stroke-width: 2;
  stroke-miterlimit: 10;
  stroke: #7ac142;
  fill: none;
  animation: stroke 0.6s cubic-bezier(0.65, 0, 0.45, 1) forwards;
}

.my-checkmark {
  width: 70px;
  height: 70px;
  border-radius: 50%;
  display: block;
  stroke-width: 2;
  stroke: #fff;
  stroke-miterlimit: 10;
  margin: 1.5em auto;
  box-shadow: inset 0px 0px 0px #7ac142;
  animation: fill .4s ease-in-out .4s forwards, scale .3s ease-in-out .9s both;
}

.my-checkmark__check {
  transform-origin: 50% 50%;
  stroke-dasharray: 48;
  stroke-dashoffset: 48;
  animation: stroke 0.3s cubic-bezier(0.65, 0, 0.45, 1) 0.8s forwards;
}

@keyframes stroke {
  100% {
    stroke-dashoffset: 0;
  }
}

@keyframes scale {

  0%,
  100% {
    transform: none;
  }

  50% {
    transform: scale3d(1.1, 1.1, 1);
  }
}

@keyframes fill {
  100% {
    box-shadow: inset 0px 0px 0px 50px #7ac142;
  }
}

/** END Order received checkmark animation **/

.wc-item-meta li p {
  display: inline-block;
}

.optional {
  display: none;
}

.woocommerce-bacs-bank-details .wc-bacs-bank-details {
  padding-left: 40px;
}

.note-spedizione td {
  text-align: left !important;
}

/** END Checkout **/


/** Contact form 7 **/
.wpcf7-form .flex-row .flex-col {
  margin-bottom: 10px;
}

.wpcf7-form .flex-row .flex-col textarea,
.wpcf7-form .flex-row .flex-col select {
  margin-bottom: 0;
}

.wpcf7-form .flex-row .flex-col .wpcf7-not-valid-tip {
  position: inherit;
}

.wpcf7-form .container-checkbox-privacy,
.wpcf7-form .button.wpcf7-submit {
  margin-top: 15px;
}

.wpcf7-form .container-checkbox-privacy input[type="checkbox"] {
  margin-bottom: 0;
}

.wpcf7-form .wpcf7-response-output {
  margin: 0.5em 0 1em !important;
}

/** END Contact form 7 **/


/** Floating WhatsApp **/
/*
#contenitore-whatsapp-floating {
  position: fixed;
  bottom: 10px;
  right: 10px;
  z-index: 9;
}

#contenitore-whatsapp-floating a {
  text-decoration: none;
}

#contenitore-whatsapp-floating div {
  padding: 8px 12px;
  background-color: #25d366;
  color: #ffffff;
  border-radius: 100px;
  font-weight: 500;
  display: flex;
  align-items: center;
  -webkit-box-shadow: 0px 0px 12px 0px rgb(0 0 0 / 30%);
  -moz-box-shadow: 0px 0px 12px 0px rgb(0 0 0 / 30%);
  box-shadow: 0px 0px 12px 0px rgb(0 0 0 / 30%);
  transition: background-color 1s linear;
}

#contenitore-whatsapp-floating div:hover {
  background-color: #128c7e;
}

#contenitore-whatsapp-floating svg {
  width: 26px;
  min-width: 26px;
  height: auto;
}

#contenitore-whatsapp-floating p {
  text-align: center;
  font-size: 15px;
  line-height: normal;
  margin-bottom: 0;
  margin-left: 12px;
}*/

/** END Floating WhatsApp **/


/** Footer **/
/** Copyright **/
#menu-copyright ul.links li {
  margin: 0.5em 1em;
}

/** END Copyright **/
/** END Footer **/


/** Landing Page **/
.simbolo-citazione-lp {
  font-size: 15rem;
  line-height: 1;
  margin-bottom: -0.5em !important;
  font-family: "BaskOldFace", sans-serif;
  color: var(--primary-color);
}

.simbolo-citazione-lp-antigrandine {
  font-size: 15rem;
  line-height: 1;
  margin-bottom: -0.5em !important;
  font-family: auto;
  color: var(--primary-color);
}

/** END Landing Page **/

/** Account **/
.account-user .image,
.account-user .user-id {
  display: none;
}

.track-button {
  padding: 0 1.2em !important;
}

.woocommerce-orders-table__cell-order-actions .button {
  margin-top: 0.5em;
  margin-bottom: 0.5em;
}

.woocommerce-order-details .ywot_order_details {
  border-left: 5px solid var(--green);
  padding: 10px 15px;
  background: rgb(241, 255, 241);
}

/** END Account **/



/** Blog **/
.blog-archive .blog-post-inner .is-divider,
.single-post .entry-header-text .entry-divider {
  display: none;
}

/** END Blog **/





/** HurryTimer **/
.hurrytimer-sticky {
  z-index: 999;
}

.hurrytimer-headline {
  margin-top: 0;
}
/** END HurryTimer **/


/** Coupon **/
.clip-board {
  display: inline;
  text-align: center;
  justify-content: center;
  width: fit-content;
  margin: 0 auto;
  cursor: pointer;
  font-weight: bold;
  padding: 3px 10px;
  border: 3.5px dashed white;
  border-radius: 0.5rem;
  color: #fcdf1a;
  text-wrap: nowrap;
}
/** END Coupon **/


/** Media query **/
@media all and (min-width: 850px) {

  /** Contact form 7 **/
  .wpcf7-form .flex-row.flex-row-2-col .flex-col:first-child {
    margin-right: 5px;
  }

  .wpcf7-form .flex-row.flex-row-2-col .flex-col:nth-child(2) {
    margin-left: 5px;
  }

  .wpcf7-form .flex-row.flex-row-3-col .flex-col:first-child {
    margin-right: 5px;
  }

  .wpcf7-form .flex-row.flex-row-3-col .flex-col:nth-child(2) {
    margin-right: 5px;
    margin-left: 5px;
  }

  .wpcf7-form .flex-row.flex-row-3-col .flex-col:nth-child(3) {
    margin-left: 5px;
  }

  /** END Contact form 7 **/
}


@media (max-width: 849px) {

  /** Checkout **/
  /** Order received **/
  .woocommerce-order-received .large-5 {
    order: 1;
  }

  .woocommerce-order-received .large-7 {
    order: 2;
  }

  /** END Order received **/
  /** END Checkout **/

  /** Floating WhatsApp **/
  #contenitore-whatsapp-floating {
    bottom: 15px;
    right: 15px;
  }

  #contenitore-whatsapp-floating div {
    padding: 14px 14px;
  }

  .when-keyboard-showing #contenitore-whatsapp-floating {
    display: none;
  }

  /** END Floating WhatsApp **/
}


/* Stile banner coupon */
.coupon-alert {
  padding: .75rem 1rem;
  margin-bottom: 1rem;
  background-color: rgba(6, 147, 227, 0.122);
  border-radius: 0.25rem;
  color: #225f82;
  border: 3px dashed rgba(33, 94, 130, 0.459);
}